<?php
header("Access-Control-Allow-Origin: *");
header("Content-Type: application/json; charset=UTF-8");
header("Access-Control-Allow-Methods: POST");
header("Access-Control-Max-Age: 3600");
header("Access-Control-Allow-Headers: Content-Type, Access-Control-Allow-Headers, Authorization, X-Requested-With");

// Connect to the database
include '../config/database2.php';

   // Validate the API key
$expected_api_key = "8L14irhDOhBUffrmiv2kqUSoSpeIK9D7JYDmsPVS9-M";

$received_api_key = isset($_SERVER['HTTP_AUTH']) ? trim($_SERVER['HTTP_AUTH']) : '';


if ($received_api_key !== $expected_api_key) {
    $response = [
        'success' => false,
        'message' => "Invalid API Key."
    ];
    echo json_encode($response);
    exit; // Terminate the script if the API key is invalid
}

// Check connection
if ($conn->connect_error) {
  die("Connection failed: " . $conn->connect_error);
}

// Fetch the latest location from database
$sql = "SELECT * FROM locations ORDER BY LocationTime DESC LIMIT 1";
$result = $conn->query($sql);

if ($result->num_rows > 0) {
  // Location found, return it as JSON
  $location = $result->fetch_assoc();
  echo json_encode($location);
} else {
  // No location found, return an error message
  http_response_code(404);
  echo json_encode(array("message" => "No location found."));
}

// Close the database connection
$conn->close();
?>
