<?php
header("Access-Control-Allow-Origin: *");
header("Content-Type: application/json; charset=UTF-8");
header("Access-Control-Allow-Methods: POST");
header("Access-Control-Max-Age: 3600");
header("Access-Control-Allow-Headers: Content-Type, Access-Control-Allow-Headers, Authorization, X-Requested-With");

  // Validate the API key
$expected_api_key = "8L14irhDOhBUffrmiv2kqUSoSpeIK9D7JYDmsPVS9-M";

$received_api_key = isset($_SERVER['HTTP_AUTH']) ? trim($_SERVER['HTTP_AUTH']) : '';


if ($received_api_key !== $expected_api_key) {
    $response = [
        'success' => false,
        'message' => "Invalid API Key."
    ];
    echo json_encode($response);
    exit; // Terminate the script if the API key is invalid
}

// Get the request body
$request_body = json_decode(file_get_contents('php://input'));

// Get the parameters from the request body
$order_id = $request_body->order_id;
$customer_email = $request_body->customer_email;
$customer_address = $request_body->customer_address;
$customer_name = $request_body->customer_name;
$customer_phone = $request_body->customer_phone;
$branchname = $request_body->branchname;

// Connect to the database
include '../config/database2.php';

// Check connection
if ($conn->connect_error) {
    die("Connection failed: " . $conn->connect_error);
}

// Select the order information from the orders table
$sql = "SELECT total, PaymentOption FROM Orders WHERE OrderID = ?";
$stmt = $conn->prepare($sql);
$stmt->bind_param("i", $order_id);
$stmt->execute();
$result = $stmt->get_result();
$row = $result->fetch_assoc();


// Select the items for the order from the ordersEntrytable
$sql = "SELECT OrdersEntry.Quantity as quantity,OrdersEntry.Price as price ,OrdersEntry.FullPrice as fp, itemimages.pic1, item.description as name
FROM OrdersEntry 
LEFT JOIN itemimages ON OrdersEntry.itemID = itemimages.itemID
LEFT JOIN item ON OrdersEntry.itemID = item.id
WHERE OrdersEntry.OrderID = ?";
$stmt = $conn->prepare($sql);
$stmt->bind_param("i", $order_id);
$stmt->execute();
$result = $stmt->get_result();
$items = [];
while ($row = $result->fetch_assoc()) {
    $items[] = $row;
}


// Create the invoice HTML
$invoice = "
    <html>
        <head>
            <style>
                table {
                    border-collapse: collapse;
                    width: 100%;
                }
                th, td {
                    text-align: left;
                    padding: 8px;
                    border-bottom: 1px solid #ddd;
                }
                th {
                    background-color: #f2f2f2;
                }
            </style>
        </head>
        <body>
            <h2>Invoice</h2>
            
            <p>Hi {$customer_name}, </p> <br>
            <p>Thank you for shopping with us </p> <br>
            <p>Your Order {$order_id} has been placed successfully</p> <br>
            
            
          <h3>You Ordered For:</h3>

            
            
            <table>
                <tr>
                    <th>Name</th>
                    <th>Price</th>
                    <th>Quantity</th>
                    <th>Full Price</th>
                    
                </tr>";
foreach ($items as $item) {
    $invoice .= "
                <tr>
                    
                     
                
                 
               <td>{$item['name']}<</td>

                    <td>{$item['price']}</td>
                    <td>{$item['price']}</td>
                     <td>fp</td>
                </tr>";
}
$invoice .= "
                <tr>
                    <td></td>
                    <td><strong>Total</strong></td>
                    <td><strong>ttt</strong></td>
                </tr>
            </table>
            <br>
           
            <p>Recipient Name: {$customer_name}</p>
            <p>Recipient Phone: {$customer_phone}</p>
             <p>Address: {$customer_address}</p>
            <p>Branch: {$branchname}</p>
           
            <br>
            
        </body>
    </html>";

// Send the invoice to the customer email
$to = $customer_email;
$subject = "Invoice for Order #{$order_id}";
$headers = "From: kassmattsupermarket@gmail.com\r\n" .
"Reply-To: kassmattsupermarket@gmail.com\r\n" .
"X-Mailer: PHP/" . phpversion() . "\r\n" .
"MIME-Version: 1.0\r\n" .
"Content-Type: text/html; charset=UTF-8\r\n";
mail($to, $subject, $invoice, $headers);
echo json_encode(array("message" => "Invoice sent to {$customer_email}"));
$conn->close();
?>

