<?php
header("Access-Control-Allow-Origin: *");
header("Content-Type: application/json; charset=UTF-8");
header("Access-Control-Allow-Methods: GET");
header("Access-Control-Max-Age: 3600");
header("Access-Control-Allow-Headers: Content-Type, Access-Control-Allow-Headers, Authorization, X-Requested-With");

// Connect to the database
include '../config/database2.php';
 
   // Validate the API key
$expected_api_key = "8L14irhDOhBUffrmiv2kqUSoSpeIK9D7JYDmsPVS9-M";

$received_api_key = isset($_SERVER['HTTP_AUTH']) ? trim($_SERVER['HTTP_AUTH']) : '';


if ($received_api_key !== $expected_api_key) {
    $response = [
        'success' => false,
        'message' => "Invalid API Key."
    ];
    echo json_encode($response);
    exit; // Terminate the script if the API key is invalid
}
 
// Check connection
if ($conn->connect_error) {
    die("Connection failed: " . $conn->connect_error);
}

// Get branchid from query parameter
$branchid = $_GET['branchid'];

// Fetch data from Offers table and join with item and itemimages tables
       
$sql = "SELECT
    Offers.*,
    CONCAT(Offers.id, 'fc00000') AS id,
    item.description,
    item.longdescription,
    item.is_serial AS serial,
    inventorylocationitems.price AS beforePrice,
    CONCAT('https://admin.kassmatt.com/dist/img/discounts/', Offers.image) AS image,
    CONCAT('https://admin.kassmatt.com/dist/img/items/', item.ID, '/', productimages.pic1) AS item_Image
FROM
    Offers
INNER JOIN
    item ON Offers.item_id = item.id
INNER JOIN
    inventorylocationitems ON Offers.item_id = inventorylocationitems.itemID
INNER JOIN
    productimages ON item.ID = productimages.itemID 
WHERE
    Offers.quantity > 1
    AND Offers.branchid = ?";



 



$stmt = $conn->prepare($sql);
$stmt->bind_param('i', $branchid);
$stmt->execute();
$offers = $stmt->get_result()->fetch_all(MYSQLI_ASSOC);

// Return the offers data
echo json_encode($offers);

$conn->close();
?>