<?php
header("Access-Control-Allow-Origin: *");
header("Content-Type: application/json; charset=UTF-8");
header("Access-Control-Allow-Methods: POST");
header("Access-Control-Max-Age: 3600");
header("Access-Control-Allow-Headers: Content-Type, Access-Control-Allow-Headers, Authorization, X-Requested-With");

$json = file_get_contents('php://input');
$data = json_decode($json, true);

$email = $data['email'];
$code = $data['code'];
$password = $data['password'];

// Connect to the database
include '../../config/database2.php';

// Check connection
if ($conn->connect_error) {
  die("Connection failed: " . $conn->connect_error);
}

// Prepare and execute the SQL statement
$stmt = $conn->prepare("SELECT * FROM users WHERE email = ?");
$stmt->bind_param("s", $email);
$stmt->execute();
$result = $stmt->get_result();

// Check if a user was found
if ($result->num_rows > 0) {
  $user = $result->fetch_assoc();

  // Check if the code matches
  if ($code == $user['otp']) {

    // Hash the new password
    $hashedPassword = md5($password);

    // Update the user's password
    $stmt = $conn->prepare("UPDATE users SET password = ? WHERE email = ?");
    $stmt->bind_param("ss", $hashedPassword, $email);
    $stmt->execute();

    // Return success response
    $response = [
        'success' => true,
        'message' => 'Password updated successfully.'
    ];

    echo json_encode($response);
  } else {
    // Return an error message if the code doesn't match
    $response = [
        'success' => false,
        'message' => 'Code does not match.'
    ];

    echo json_encode($response);
  }
} else {
  // Return an error message if no user was found
  $response = [
      'success' => false,
      'message' => 'User not found.'
  ];

  echo json_encode($response);
}

$conn->close();
?>
