<?php
header("Access-Control-Allow-Origin: *");
header("Content-Type: application/json; charset=UTF-8");
header("Access-Control-Allow-Methods: GET");
header("Access-Control-Max-Age: 3600");
header("Access-Control-Allow-Headers: Content-Type, Access-Control-Allow-Headers, Authorization, X-Requested-With");

// Validate the API key
$expected_api_key = "8L14irhDOhBUffrmiv2kqUSoSpeIK9D7JYDmsPVS9-M";

$received_api_key = isset($_SERVER['HTTP_AUTH']) ? trim($_SERVER['HTTP_AUTH']) : '';

if ($received_api_key !== $expected_api_key) {
    $response = [
        'success' => false,
        'message' => "Invalid API Key."
    ];
    echo json_encode($response);
    exit; // Terminate the script if the API key is invalid
}

// Include necessary files and functions
require_once '../config/database3.php';

function fetchCartCount($userid, $branchid)
{
    global $conn;

    $stmt = $conn->prepare("SELECT COUNT(*) as count FROM cart WHERE userid = ? AND branchid = ?");
    $stmt->bind_param("ii", $userid, $branchid);
    $stmt->execute();
    $result = $stmt->get_result();
    $count = $result->fetch_assoc()['count'];

    return $count;
}

// Extract the data fields
$userid = isset($_GET['userid']) ? $_GET['userid'] : null;
$branchid = isset($_GET['branchid']) ? $_GET['branchid'] : null;

// Fetch cart count
$cartCount = fetchCartCount($userid, $branchid);

// Return the result
$response = [
    'success' => true,
    'count' => $cartCount
];

echo json_encode($response);

// Check if $stmt is not null before closing
if (isset($stmt) && $stmt !== null) {
    $stmt->close();
}

// Check if $conn is not null before closing
if (isset($conn) && $conn !== null) {
    $conn->close();
}
?>
