<?php
header("Access-Control-Allow-Origin: *");
header("Content-Type: application/json; charset=UTF-8");
header("Access-Control-Allow-Methods: GET");
header("Access-Control-Max-Age: 3600");
header("Access-Control-Allow-Headers: Content-Type, Access-Control-Allow-Headers, Authorization, X-Requested-With");

  // Validate the API key
$expected_api_key = "8L14irhDOhBUffrmiv2kqUSoSpeIK9D7JYDmsPVS9-M";

$received_api_key = isset($_SERVER['HTTP_AUTH']) ? trim($_SERVER['HTTP_AUTH']) : '';


if ($received_api_key !== $expected_api_key) {
    $response = [
        'success' => false,
        'message' => "Invalid API Key."
    ];
    echo json_encode($response);
    exit; // Terminate the script if the API key is invalid
}


$branchid = $_GET['branchid'];

// Connect to the database
include '../config/database3.php';

// Check connection
if ($conn->connect_error) {
    die("Connection failed: " . $conn->connect_error);
}

// Fetch the default address associated with the user
$stmt = $conn->prepare(" SELECT * FROM ShortCode WHERE branchid = ? ");

$stmt->bind_param("i", $branchid);
$stmt->execute();
$result = $stmt->get_result();

// If no default address was found, return null
if ($result->num_rows == 0) {
    $response = null;
} else {
    // Otherwise, create an address object
    $row = $result->fetch_assoc();
    $address = [
        'code' => $row['code'],
        'refs' =>$row['AccountReference'],
         'url' =>$row['url']
    ];
    $response = $address;
}

// Return the address as a JSON response
echo json_encode($response);

$conn->close();
?>
