<?php
  header("Access-Control-Allow-Origin: *");
  header("Content-Type: application/json; charset=UTF-8");
  header("Access-Control-Allow-Methods: POST");
  header("Access-Control-Max-Age: 3600");
  header("Access-Control-Allow-Headers: Content-Type, Access-Control-Allow-Headers, Authorization, X-Requested-With");
  
  // Validate the API key
$expected_api_key = "8L14irhDOhBUffrmiv2kqUSoSpeIK9D7JYDmsPVS9-M";

$received_api_key = isset($_SERVER['HTTP_AUTH']) ? trim($_SERVER['HTTP_AUTH']) : '';


if ($received_api_key !== $expected_api_key) {
    $response = [
        'success' => false,
        'message' => "Invalid API Key."
    ];
    echo json_encode($response);
    exit; // Terminate the script if the API key is invalid
}

  // Get the JSON data from the request body
  $json = file_get_contents('php://input');
  $data = json_decode($json, true);

  // Extract the data fields
  $fullname = $data['fullname'];
  $email = $data['email'];
  $mobile = $data['cell'];
  $password = $data['password'];
  
  
  if (empty($mobile)) {
    $response = [
        'success' => false,
        'message' => 'Mobile is required for registration.'
    ];
    echo json_encode($response);
    exit; // Terminate the script if the mobile is not provided
}
  
  
  // Hash the password using MD5
  $hashedPassword = md5($password);

  // Connect to the database
  include '../config/database3.php';

  // Check connection
  if ($conn->connect_error) {
    die("Connection failed: " . $conn->connect_error);
  }

  // Check if the email or mobile number already exists in the database
  $stmt = $conn->prepare("SELECT * FROM members WHERE EmailAdd = ? OR Mobile = ?");
  $stmt->bind_param("ss", $email, $mobile);
  $stmt->execute();
  $result = $stmt->get_result();

  // If a user already exists with the given email or mobile number, return an error response
  if ($result->num_rows > 0) {
      $user = $result->fetch_assoc();

    // Check if the password is null or empty
    if (empty($user['Password'])) {
        // If the password is null or empty, prompt the user to reset their password
        $response = [
            'success' => false,
            'message' => 'User already exists. Please reset your password to login.'
        ];
    } else {
        // If the password is not null or empty, return a registration failed message
        $response = [
            'success' => false,
            'message' => 'Registration failed. User with this email or mobile number already exists.'
        ];
    }
    echo json_encode($response);    
  } else {
    // Otherwise, insert the new user into the database
    $stmt = $conn->prepare("INSERT INTO members (Fullname, EmailAdd, Mobile, TelNo, Password) VALUES (?, ?, ?, ?, ?)");
    $stmt->bind_param("sssss", $fullname, $email, $mobile, $mobile, $hashedPassword);
    $stmt->execute();

    // Return a success response
    $response = [
      'success' => true,
      'message' => 'Registration successful.'
    ];

    echo json_encode($response);
  }
   

  $conn->close();
?>
