<?php
header("Access-Control-Allow-Origin: *");
header("Content-Type: application/json; charset=UTF-8");
header("Access-Control-Allow-Methods: GET");
header("Access-Control-Max-Age: 3600");
header("Access-Control-Allow-Headers: Content-Type, Access-Control-Allow-Headers, Authorization, X-Requested-With");

// Get the mobile number from the request body
$mobile = $_GET['mobile'];

  // Validate the API key
$expected_api_key = "8L14irhDOhBUffrmiv2kqUSoSpeIK9D7JYDmsPVS9-M";

$received_api_key = isset($_SERVER['HTTP_AUTH']) ? trim($_SERVER['HTTP_AUTH']) : '';


if ($received_api_key !== $expected_api_key) {
    $response = [
        'success' => false,
        'message' => "Invalid API Key."
    ];
    echo json_encode($response);
    exit; // Terminate the script if the API key is invalid
}


// Connect to the database
include '../config/database3.php';

// Check connection
if ($conn->connect_error) {
    die("Connection failed: " . $conn->connect_error);
}

// Fetch the customer data for the given mobile number
$sql = "SELECT 
            c.ID AS id,
            c.Fullname,
            TRIM(SUBSTRING_INDEX(c.Fullname, ' ', 1)) AS nickname,
            c.Idnumber, 
            c.Loyaltyno, 
            c.Gender,
            c.Physicaladdress, 
            c.Postaladdress, 
            c.Town, 
            c.Mobile, 
            c.EmailAdd, 
            c.DateofBirth, 
            c.TotalCredit, 
            c.TotalDebit, 
            c.Balance, 
            c.Balance * 0.50 AS totalksh, 
            c.OTP, 
            'none' AS branch,
            '0' AS branchid
        FROM 
            members c
        WHERE 
            c.Mobile = ?";



$stmt = $conn->prepare($sql);
$stmt->bind_param("s", $mobile);
$stmt->execute();
$customerData = $stmt->get_result()->fetch_assoc();

// Return the customer data
echo json_encode($customerData);

$conn->close();
?>
