<?php
header("Access-Control-Allow-Origin: *");
header("Content-Type: application/json; charset=UTF-8");
header("Access-Control-Allow-Methods: PUT");
header("Access-Control-Max-Age: 3600");
header("Access-Control-Allow-Headers: Content-Type, Access-Control-Allow-Headers, Authorization, X-Requested-With");

// Validate the API key
$expected_api_key = "8L14irhDOhBUffrmiv2kqUSoSpeIK9D7JYDmsPVS9-M";

$received_api_key = isset($_SERVER['HTTP_AUTH']) ? trim($_SERVER['HTTP_AUTH']) : '';

if ($received_api_key !== $expected_api_key) {
    $response = [
        'success' => false,
        'message' => "Invalid API Key."
    ];
    echo json_encode($response);
    exit; // Terminate the script if the API key is invalid
}

// Extract the data fields
$id = $_GET['id'];
$quantity = $_GET['quantity'];

// Connect to the database
include '../config/database3.php';

// Check connection
if ($conn->connect_error) {
    die("Connection failed: " . $conn->connect_error);
}

// Fetch the price from the database based on the given ID
$priceQuery = $conn->prepare("SELECT quantity FROM cart WHERE id = ?");
$priceQuery->bind_param("i", $id);
$priceQuery->execute();
$priceResult = $priceQuery->get_result();

// Check if the price was fetched successfully
if ($priceResult->num_rows > 0) {
   
    

    // Update the cart item in the database
    $updateStmt = $conn->prepare("UPDATE cart SET quantity = ? WHERE id = ?");
    $updateStmt->bind_param("di", $quantity, $id);
    $updateStmt->execute();
    


    // Check if the update was successful
    if ($updateStmt) {
         $response = [
        'success' => true,
        'message' => 'Cart update successfully.'
    ];

       
    } else {

    
       $response = [
            'success' => false,
            'message' => 'Failed to update cart item'
        ];
        
    }
} else {
   $response = [
            'success' => false,
            'message' => 'Failed to update cart item'
        ];
}



// Close database connections
http_response_code(200);
echo json_encode($response);
$priceQuery->close();
$updateStmt->close();
$conn->close();
?>
