<?php
    class Orders{

        // Connection
        private $conn;

        // Table
        private $db_table = "Orders";

        // Columns
        public $OrderID;
        public $CustomerID;
        public $tdatetime;
        public $Total;
        public $TotalWeight;
        public $PaymentOption;
        public $DeliveryOption;
        public $DeliveryRegion;
        public $StoreID;
        public $ItemID;
        public $Cost;
        public $Price;
        public $FullPrice;
        public $Quantity;
        public $SalesTax;
        public $type;
        public $ShippingFees;
        public $Amount;
        public $serialNumber;
        public $Payment;
        
   
   
      
        // Db connection
        public function __construct($db){
            $this->conn = $db;
        }



        //post orders
        function postOders(){

            $sqlQuery = "INSERT INTO
            Orders
        SET
        OrderID = :OrderID,
        CustomerID = :CustomerID, 
        Total = :Total, 
        Payment = :Payment,
        TotalWeight = :TotalWeight, 
        PaymentOption = :PaymentOption,
        DeliveryOption =:DeliveryOption,
        DeliveryRegion =:DeliveryRegion,
        ShippingFees =:ShippingFees,
        Amount =:Amount,
        StoreID =:StoreID ";

        
       $stmt = $this->conn->prepare($sqlQuery);

        
         
         //clean data
            $this->OrderID = htmlspecialchars(strip_tags($this->OrderID));
            $this->CustomerID = htmlspecialchars(strip_tags($this->CustomerID));
            $this->Total = htmlspecialchars(strip_tags($this->Total));
            $this ->Payment = htmlspecialchars(strip_tags($this->Payment));
            $this->TotalWeight = htmlspecialchars(strip_tags($this->TotalWeight));
            $this->PaymentOption = htmlspecialchars(strip_tags($this->PaymentOption));
            $this->DeliveryOption = htmlspecialchars(strip_tags($this->DeliveryOption));
            $this->DeliveryRegion = htmlspecialchars(strip_tags($this->DeliveryRegion));
            $this->StoreID = htmlspecialchars(strip_tags($this->StoreID));
            $this->Amount = htmlspecialchars(strip_tags($this->Amount));
            $this->ShippingFees = htmlspecialchars(strip_tags($this->ShippingFees));
            
         //bind data
            $stmt->bindParam(":OrderID", $this->OrderID);
            $stmt->bindParam(":CustomerID", $this->CustomerID);
            $stmt->bindParam(":Total", $this->Total);
            $stmt->bindParam(":TotalWeight", $this->TotalWeight);
            $stmt->bindParam(":PaymentOption", $this->PaymentOption);
            $stmt->bindParam(":DeliveryOption", $this->DeliveryOption);
            $stmt->bindParam(":DeliveryRegion", $this->DeliveryRegion);
            $stmt->bindParam(":StoreID", $this->StoreID);
            $stmt->bindParam(":ShippingFees", $this->ShippingFees);
            $stmt->bindParam(":Amount", $this->Amount);
            $stmt->bindParam(":Payment", $this->Payment);
            
          
        
          if($stmt->execute()){
             $this->updateCustomerPoints(); 
                return true;
                
            }

            //print error if something goes wrong
            printf("Errror %s.\n",$stmt->error);
         
            return false;
        }


          //post orders entry
        // post orders entry
function postOdersEntry()
{
    $sqlQuery = "INSERT INTO OrdersEntry
                SET OrderID = :OrderID, 
                    ItemID = :ItemID, 
                    Cost = :Cost, 
                    Price = :Price, 
                    FullPrice = :FullPrice,
                    Quantity = :Quantity,
                    SalesTax = :SalesTax,
                    type = :type,
                    serialNumber = :serialNumber
                    ";

    $stmt = $this->conn->prepare($sqlQuery);

    // Clean data
    $this->OrderID = htmlspecialchars(strip_tags($this->OrderID));
    $this->ItemID = htmlspecialchars(strip_tags($this->ItemID));
    $this->Cost = htmlspecialchars(strip_tags($this->Cost));
    $this->Price = htmlspecialchars(strip_tags($this->Price));
    $this->FullPrice = htmlspecialchars(strip_tags($this->FullPrice));
    $this->Quantity = htmlspecialchars(strip_tags($this->Quantity));
    $this->SalesTax = htmlspecialchars(strip_tags($this->SalesTax));
    $this->type = htmlspecialchars(strip_tags($this->type));
    $this->serialNumber = htmlspecialchars(strip_tags($this->serialNumber));
    

    // Bind data
    $stmt->bindParam(":OrderID", $this->OrderID);
    $stmt->bindParam(":ItemID", $this->ItemID);
    $stmt->bindParam(":Cost", $this->Cost);
    $stmt->bindParam(":Price", $this->Price);
    $stmt->bindParam(":FullPrice", $this->FullPrice);
    $stmt->bindParam(":Quantity", $this->Quantity);
    $stmt->bindParam(":SalesTax", $this->SalesTax);
    $stmt->bindParam(":type", $this->type);
    $stmt->bindParam(":serialNumber", $this->serialNumber);
    

    // Execute the INSERT statement
    if ($stmt->execute()) {
        // Decrement the quantity in inventorylocationitems table
        $updateQuery = "UPDATE inventorylocationitems 
                        SET quantity = quantity - :Quantity 
                        WHERE ItemID = :ItemID";

        $updateStmt = $this->conn->prepare($updateQuery);

        // Bind the ItemID and Quantity
        $updateStmt->bindParam(":ItemID", $this->ItemID);
        $updateStmt->bindParam(":Quantity", $this->Quantity);

        // Execute the UPDATE statement
        if ($updateStmt->execute()) {
            return true;
        } else {
            // Print error if something goes wrong with the UPDATE statement
            printf("Error: %s.\n", $updateStmt->error);
            return false;
        }
    } else {
        // Print error if something goes wrong with the INSERT statement
        printf("Error: %s.\n", $stmt->error);
        return false;
    }
}




public function updateCustomerPoints()
{
    // Calculate the points 
   
    $pointsToAdd = $this->Amount / 100;


    // Update the points in the customer table
    $updatePointsQuery = "UPDATE customer 
                         SET points = points + :pointsToAdd 
                         WHERE ID = :CustomerID";

    $stmt = $this->conn->prepare($updatePointsQuery);

    // Bind the points and CustomerID
    $stmt->bindParam(":pointsToAdd", $pointsToAdd);
    $stmt->bindParam(":CustomerID", $this->CustomerID);

    // Execute the UPDATE statement
    if ($stmt->execute()) {
        return true;
    } else {
        
        printf("Error updating points: %s.\n", $stmt->error);
        return false;
    }
}





    }
?>

